using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Diagnostics;
using System.Collections.Specialized;

using Syncfusion.Drawing;
using Syncfusion.Windows.Forms.Grid;
using Syncfusion.Windows.Forms;


namespace _4240_GridControlColumnFormattings_
{
    public partial class Form1 : Form
    {
        StringCollection language = new StringCollection();
        public Form1()
        {
            InitializeComponent();

            this.gridControl1.RowCount = 10;
            this.gridControl1.ColCount = 5;         
            

            language.Add("C#");
            language.Add("Java");
            language.Add("VB");
            language.Add("Flash");       

          
            this.gridControl1.CurrentCellActivated+=new EventHandler(gridControl1_CurrentCellActivated);
         
        }   

        void gridControl1_CurrentCellActivated(object sender, EventArgs e)
        {
            GridCurrentCell cell = this.gridControl1.CurrentCell;

            if (cell.RowIndex >= 1 && cell.ColIndex >= 1)
            {                
                this.gridControl1.Model[cell.RowIndex, cell.ColIndex].ChoiceList = language;
            }         
            
        }        

        private void Form1_Load(object sender, EventArgs e)
        {
            this.gridControl1.Model[2,2].CellType = "ComboBox";
           
        }

       

        
    }
}